=== debian/changelog ===
csound (1:6.18.0+dfsg-2) unstable; urgency=medium

  * Forward "Skip BigEndian tests" patch to upstream
  * Add lintian-override for uncommon spelling
  * Modernize lintian overrides
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Nov 2022 09:25:14 +0100

csound (1:6.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version 6.18.0+dfsg
    + Refresh patches
  * Add patch to honour CFLAGS
  * d/watch: Use github/tags rather than releases

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 01 Nov 2022 22:17:50 +0100

csound (1:6.17.0~dfsg-4) unstable; urgency=medium

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Simplify building with python (Closes: #1015994)
    + Use dh-sequence-python3 instead of '--with=python3'
    + Drop useless variables from python3-csound's Depends/Provides
  * Skip some tests on big-endian.
    Thanks to Graham Inggs <ginggs@debian.org> (Closes: #1009185)
  * autopkgtests: Run Python3 tests on all supported py3 versions
  * Disable java packages on hurd and hppa (Closes: #827929)
  * Mark transitional package 'liblua5.1-luacsnd' as "Multi-Arch:same"
  * d/rules:
    + Use execute_after_dh_* rather than override_dh_*
    + Remove config-leftovers on clean
    + Declare that libcsound64-dev is the target package for libcsound64-doc
  * List files that are renamed for arch:any as 'not-installed'
  * Update and modernize lintian-overrides
  * Update d/copyright
    + Add 'Expat' license to d/copyright
    + Add myself to copyright-holders
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Aug 2022 13:58:11 +0200
