## csound 6.18.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 set(APIVERSION "6.0")
 set(CS_VERSION "6")
 set(CS_SUBVER "18")
-set(CS_PATCHLEVEL "0")
+set(CS_PATCHLEVEL "1")
 
 message(STATUS "Csound version: ${CS_VERSION}.${CS_SUBVER}.${CS_PATCHLEVEL}")
