=== debian/changelog ===
csound (1:6.18.1+dfsg-6build1) resolute; urgency=medium

  * No-change rebuild for libportmidi2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 21:59:17 +0000

csound (1:6.18.1+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Didier Raboud ]
  * Import upstream typo fix (Closes: #1096487)

  [ Graham Inggs ]
  * Fix architecture syntax in debian/tests/control (Closes: #1113957)

  [ Andreas Tille ]
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 23 Sep 2025 16:09:43 +0200

csound (1:6.18.1+dfsg-5) unstable; urgency=medium

  * Team Upload
  * After removing dh-buildinfo, remove related devscripts too

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 16:56:17 +0200

csound (1:6.18.1+dfsg-4) unstable; urgency=medium

  [ наб ]
  * Remove dh-buildinfo (Closes: #1090775)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Ship manpages for binaries (Closes: #1068969)
  * python-csound: Mark docstring as raw string (Closes: #1085532)
  * For now, disable autopkgtests on s390x (Closes: #1094135)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 31 Jan 2025 17:55:02 +0100

csound (1:6.18.1+dfsg-3) unstable; urgency=medium

  * Fix function signatures and types for liblo API (Closes: #1074894)
  * Cherry-pick upstream to initialize K-opcodes at init-time (Closes: #1035387)
  * Refresh patches with 'gbp pq'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Aug 2024 10:32:24 +0200

csound (1:6.18.1+dfsg-2) unstable; urgency=medium

  * Add patch to fix autopkgtest with Python3.12 (Closes: #1061795)
  * Allow stderr for autopkgtests
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Jul 2024 15:20:47 +0200

csound (1:6.18.1+dfsg-1) unstable; urgency=medium

  * New upstream version 6.18.1+dfsg
    + Fixes BigEndian issues
    + Fixes ABI compatibility (Closes: #1024169)
    + Drop patches applied (or obsoleted) upstream
  * Drop "Recommends:stk" (this belongs to csound-plugins)
  * Drop obsolete Cmake configvars
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 17:00:05 +0100
