=== debian/watch ===
version=4

opts="mode=git, \
      repacksuffix=+dfsg, \
      dversionmangle=auto, \
      filenamemangle=s%(?:.*?/)?v?(\d[\d.]*)%@PACKAGE@-$1.tar.gz%" \
    https://github.com/csound/csound.git \
    refs/tags/v?(\d[\d.]*)
